### Method

# Gtk ColumnView set_model

#### Declaration [src]

    void
    gtk_column_view_set_model (
      GtkColumnView* self,
      GtkSelectionModel* model
    )

#### Description [src]

Sets the model to use.

This must be a `GtkSelectionModel`.

Sets property | `Gtk.ColumnView:model`

#### Parameters

`model`

  Type: `GtkSelectionModel`

  The model to use.

  The argument can be `NULL`.
  The data is owned by the caller of the method.